package com.yc.ship.module.product.enums;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;

import java.util.Arrays;

@Getter
public enum VoyageShelfStatusEnum implements IntArrayValuable {
    ON_SHELF(1,"上架"),
    OFF_SHELF(2,"下架");
    private final String name;
    private final Integer value;
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(VoyageShelfStatusEnum::getValue).toArray();
    @Override
    public int[] array() {
        return ARRAYS;
    }
    VoyageShelfStatusEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }
}
